import { combineReducers } from 'redux';
import { appStateKey } from '.';
import { createAppReducer } from './reducer';
import { serializeRouter } from './utils';
export function combineAppReducer(reducers, app) {
    const routers = {};
    for (const prop of Object.keys(app.routers)) {
        routers[prop] = serializeRouter(app.routers[prop]);
    }
    return combineReducers({
        ...reducers,
        [appStateKey]: createAppReducer({
            modals: serializeRouter(app.modals),
            routers
        })
    });
}
