/// <reference types="react" />
import { AppState } from '..';
import { InternalAppActionType } from '../actions';
export declare function createAppReducer(initialState: AppState): (state: AppState | undefined, action: {
    type: InternalAppActionType;
    payload: {
        routerKey: string;
        action: import("react-native-stack").RouterAction;
        index: number;
        entries: import("react-native-stack").ILocation<any>[];
        length: number;
        location: import("react-native-stack").ILocation<any>;
    };
    meta: {
        callback: (() => any) | undefined;
    };
} | {
    type: import("../actions").AppActionType.SWITCH_TAB;
    payload: {
        location: string | import("react-native-stack").IPartialLocation<any>;
    };
    meta: {
        callback: (() => any) | undefined;
    };
} | {
    type: import("../actions").AppActionType.PUSH;
    payload: {
        routerKey: string;
        location: string | import("react-native-stack").IPartialLocation<any>;
    };
    meta: {
        callback: (() => any) | undefined;
    };
} | {
    type: import("../actions").AppActionType.GO;
    payload: {
        routerKey: string;
        n: number;
    };
    meta: {
        callback: (() => any) | undefined;
    };
} | {
    type: import("../actions").AppActionType.RESET;
    payload: {
        routerKey: string;
        entries: (string | import("react-native-stack").IPartialLocation<any>)[];
        index: number | undefined;
    };
    meta: {
        callback: (() => any) | undefined;
    };
} | {
    type: import("../actions").AppActionType.GO_BACK;
    payload: {
        routerKey: string;
    };
    meta: {
        callback: (() => any) | undefined;
    };
} | {
    type: import("../actions").AppActionType.GO_FORWARD;
    payload: {
        routerKey: string;
    };
    meta: {
        callback: (() => any) | undefined;
    };
} | {
    type: import("../actions").AppActionType.REPLACE;
    payload: {
        routerKey: string;
        location: string | import("react-native-stack").IPartialLocation<any>;
    };
    meta: {
        callback: (() => any) | undefined;
    };
} | {
    type: import("../actions").AppActionType.ADD_MODAL;
    payload: {
        location: string | import("react-native-stack").IPartialLocation<any>;
    };
    meta: {
        callback: ((modal: import("react-native-stack").IModal<import("react").ReactElement<any, string | ((props: any) => import("react").ReactElement<any, string | any | (new (props: any) => import("react").Component<any, any, any>)> | null) | (new (props: any) => import("react").Component<any, any, any>)> | import("react").ComponentClass<any, any> | import("react").FunctionComponent<any>>) => any) | undefined;
    };
} | {
    type: import("../actions").AppActionType.REMOVE_MODAL;
    payload: {
        modalKey: string;
    };
    meta: {
        callback: (() => any) | undefined;
    };
}) => AppState;
