import { InternalAppActionType } from '../actions';
export function createAppReducer(initialState) {
    return (state = initialState, action) => {
        if (action.type === InternalAppActionType.ROUTER_LOCATION_CHANGE) {
            return {
                ...state,
                routers: {
                    ...state.routers,
                    [action.payload.routerKey]: {
                        action: action.payload.action,
                        entries: action.payload.entries,
                        index: action.payload.index,
                        length: action.payload.length,
                        location: action.payload.location
                    }
                }
            };
        }
        return state;
    };
}
