import { ILocation, IRouter, LocationState, RouterAction } from 'react-native-stack';
export declare type SerializedRouter<RouterLocationState = LocationState> = {
    action: RouterAction;
    index: number;
    entries: Array<ILocation<RouterLocationState>>;
    length: number;
    location: ILocation<RouterLocationState>;
};
export declare function serializeRouter(router: IRouter): SerializedRouter;
